'use strict';

var defineProperty = require('../../defineProperty-lChFfVqi.js');
require('../../typeof-D4ZZ_FlZ.js');

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var subscribe = function subscribe(listener) {
  window.addEventListener("resize", listener);
  return function () {
    return window.removeEventListener("resize", listener);
  };
};
var getCurrentSize = function getCurrentSize(window, breakpointOverrides) {
  var innerWidth = window.innerWidth;
  var sizes = _objectSpread({
    mobile: innerWidth < 768,
    tablet: innerWidth >= 768 && innerWidth < 1024,
    desktop: innerWidth >= 1024 && innerWidth < 1280,
    largeDesktop: innerWidth >= 1280
  }, breakpointOverrides === null || breakpointOverrides === void 0 ? void 0 : breakpointOverrides(window));
  var size = Object.keys(sizes).find(function (breakpoint) {
    return sizes[breakpoint];
  }) || "";
  return size;
};

exports.getCurrentSize = getCurrentSize;
exports.subscribe = subscribe;
//# sourceMappingURL=utils.js.map
