import { globalProps } from '@bigbinary/neeto-commons-frontend/initializers';
import Helmet from 'react-helmet';
import { jsx } from 'react/jsx-runtime';

var PageTitle = function PageTitle(_ref) {
  var title = _ref.title;
  var pageTitle = title ? "".concat(title, " | ").concat(globalProps.appName) : globalProps.appName;
  return /*#__PURE__*/jsx(Helmet, {
    children: /*#__PURE__*/jsx("title", {
      children: pageTitle
    })
  });
};

export { PageTitle as default };
//# sourceMappingURL=PageTitle.js.map
