import { _ as _defineProperty } from '../../defineProperty-CrCYjjU3.js';
import { _ as _objectWithoutProperties } from '../../objectWithoutProperties-DN7d1SzH.js';
import ErrorPage from '@bigbinary/neeto-molecules/ErrorPage';
import { includes, __ } from 'ramda';
import { Route, Redirect } from 'react-router-dom';
import { jsx } from 'react/jsx-runtime';
import '../../typeof-D-UKOauR.js';

var _excluded = ["condition", "redirectRoute", "errorPage", "permissions"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PrivateRoute = function PrivateRoute(_ref) {
  var _ref$condition = _ref.condition,
    condition = _ref$condition === void 0 ? globalProps.authenticated : _ref$condition,
    _ref$redirectRoute = _ref.redirectRoute,
    redirectRoute = _ref$redirectRoute === void 0 ? undefined : _ref$redirectRoute,
    _ref$errorPage = _ref.errorPage,
    errorPage = _ref$errorPage === void 0 ? undefined : _ref$errorPage,
    _ref$permissions = _ref.permissions,
    permissions = _ref$permissions === void 0 ? undefined : _ref$permissions,
    props = _objectWithoutProperties(_ref, _excluded);
  if (condition) {
    if (permissions) {
      return globalProps.permissions.some(includes(__, permissions)) ? /*#__PURE__*/jsx(Route, _objectSpread({}, props)) : /*#__PURE__*/jsx(Route, _objectSpread(_objectSpread({}, props), {}, {
        component: function component() {
          return errorPage || /*#__PURE__*/jsx(ErrorPage, {
            status: 403
          });
        }
      }));
    }
    return /*#__PURE__*/jsx(Route, _objectSpread({}, props));
  }
  if (redirectRoute) {
    return /*#__PURE__*/jsx(Redirect, {
      to: {
        pathname: redirectRoute
      }
    });
  }
  return errorPage || /*#__PURE__*/jsx(ErrorPage, {
    status: 403
  });
};

export { PrivateRoute as default };
//# sourceMappingURL=PrivateRoute.js.map
