import { useRef, useEffect } from 'react';

var usePrevious = function usePrevious(value) {
  var ref = useRef(value);
  useEffect(function () {
    ref.current = value;
  }, [value]);
  return ref.current;
};

export { usePrevious as default };
//# sourceMappingURL=usePrevious.js.map
