import { _ as _toConsumableArray } from '../toConsumableArray-B7CFjjkW.js';
import { _ as _defineProperty } from '../defineProperty-CrCYjjU3.js';
import { isNotPresent, findBy } from '@bigbinary/neeto-cist';
import { omit } from 'ramda';
import '../unsupportedIterableToArray-Dqz8Y8_I.js';
import '../typeof-D-UKOauR.js';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var buildNestedAttributesPayload = function buildNestedAttributesPayload(_ref) {
  var modifiedValues = _ref.modifiedValues,
    initialValues = _ref.initialValues,
    nestedKeyToModify = _ref.nestedKeyToModify,
    nestedAttributeKeyInPayload = _ref.nestedAttributeKeyInPayload,
    nestedAttributesForArrayKey = _ref.nestedAttributesForArrayKey;
  var itemsToDestroy = initialValues[nestedKeyToModify].filter(function (initialItem) {
    return isNotPresent(findBy({
      value: initialItem[nestedAttributeKeyInPayload]
    }, modifiedValues[nestedKeyToModify]));
  });
  var itemsToDestroyAttrs = itemsToDestroy.map(function (item) {
    return _defineProperty(_defineProperty({
      id: item.id
    }, nestedAttributeKeyInPayload, item[nestedAttributeKeyInPayload]), "_destroy", true);
  });
  var itemsToBeCreated = modifiedValues[nestedKeyToModify].filter(function (modifiedItem) {
    return isNotPresent(findBy(_defineProperty({}, nestedAttributeKeyInPayload, modifiedItem.value.toLowerCase()), initialValues[nestedKeyToModify]));
  });
  var itemsToCreateAttrs = itemsToBeCreated.map(function (item) {
    return _defineProperty({}, nestedAttributeKeyInPayload, item.value);
  });
  var nestedAttributes = [].concat(_toConsumableArray(itemsToCreateAttrs), _toConsumableArray(itemsToDestroyAttrs));
  return _objectSpread(_objectSpread({}, omit([nestedKeyToModify], modifiedValues)), {}, _defineProperty({}, nestedAttributesForArrayKey, nestedAttributes));
};

export { buildNestedAttributesPayload };
//# sourceMappingURL=buildNestedAttributesPayload.js.map
