const { TRANSFORM_RULES } = require("../constants");

const VITE_BABEL_CONFIG = {
  presets: ["@bigbinary/neeto"],
  plugins: [
    [
      "module-resolver",
      {
        root: ["./src"],
        alias: {
          "dayjs/plugin/timezone":
            "@bigbinary/neeto-commons-frontend/utils/timezonePlugin",
        },
        loglevel: "silent",
      },
    ],
  ],
};

const BABEL_CONFIG = {
  presets: ["@bigbinary/neeto"],
  plugins: [
    [
      "module-resolver",
      {
        root: ["./src"],
        alias: {
          "dayjs/plugin/timezone":
            "@bigbinary/neeto-commons-frontend/utils/timezonePlugin",
        },
        loglevel: "silent",
      },
    ],
    ...TRANSFORM_RULES,
  ],
};

module.exports = { BABEL_CONFIG, VITE_BABEL_CONFIG };
