'use strict';

var HEADERS_KEYS = {
  xCsrfToken: "X-CSRF-TOKEN",
  contentType: "Content-Type",
  accept: "Accept"
};
var LOWERCASED = "__LOWERCASED__";
var LOWERCASED_GLOBAL_REGEX = new RegExp(LOWERCASED, "g");
var FORMATS = {
  boldList: "boldList",
  list: "list",
  anyCase: "anyCase"
};
var LIST_FORMATS = [FORMATS.boldList, FORMATS.list];
var MAXIMUM_OFFLINE_DURATION = 10000;

exports.FORMATS = FORMATS;
exports.HEADERS_KEYS = HEADERS_KEYS;
exports.LIST_FORMATS = LIST_FORMATS;
exports.LOWERCASED = LOWERCASED;
exports.LOWERCASED_GLOBAL_REGEX = LOWERCASED_GLOBAL_REGEX;
exports.MAXIMUM_OFFLINE_DURATION = MAXIMUM_OFFLINE_DURATION;
//# sourceMappingURL=constants.js.map
