'use strict';

var _typeof = require('../typeof-D4ZZ_FlZ.js');

var isObjectOrFunction = function isObjectOrFunction(object) {
  var type = _typeof._typeof(object);
  return type === "function" || type === "object" && !!object;
};
function disableReactDevTools() {
  if (window && window.document) {
    var developerToolsHook = window.__REACT_DEVTOOLS_GLOBAL_HOOK__;
    if (!isObjectOrFunction(developerToolsHook)) return;
    for (var prop in developerToolsHook) {
      if (prop === "renderers") {
        developerToolsHook[prop] = new Map();
      } else {
        developerToolsHook[prop] = typeof developerToolsHook[prop] === "function" ? Function.prototype : null;
      }
    }
  }
}

module.exports = disableReactDevTools;
//# sourceMappingURL=reactDevTools.js.map
