'use strict';

var defineProperty = require('../../defineProperty-lChFfVqi.js');
var objectWithoutProperties = require('../../objectWithoutProperties-wSsbHFcG.js');
var ErrorPage = require('@bigbinary/neeto-molecules/ErrorPage');
var ramda = require('ramda');
var reactRouterDom = require('react-router-dom');
var jsxRuntime = require('react/jsx-runtime');
require('../../typeof-D4ZZ_FlZ.js');

var _excluded = ["condition", "redirectRoute", "errorPage", "permissions"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PrivateRoute = function PrivateRoute(_ref) {
  var _ref$condition = _ref.condition,
    condition = _ref$condition === void 0 ? globalProps.authenticated : _ref$condition,
    _ref$redirectRoute = _ref.redirectRoute,
    redirectRoute = _ref$redirectRoute === void 0 ? undefined : _ref$redirectRoute,
    _ref$errorPage = _ref.errorPage,
    errorPage = _ref$errorPage === void 0 ? undefined : _ref$errorPage,
    _ref$permissions = _ref.permissions,
    permissions = _ref$permissions === void 0 ? undefined : _ref$permissions,
    props = objectWithoutProperties._objectWithoutProperties(_ref, _excluded);
  if (condition) {
    if (permissions) {
      return globalProps.permissions.some(ramda.includes(ramda.__, permissions)) ? /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.Route, _objectSpread({}, props)) : /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.Route, _objectSpread(_objectSpread({}, props), {}, {
        component: function component() {
          return errorPage || /*#__PURE__*/jsxRuntime.jsx(ErrorPage, {
            status: 403
          });
        }
      }));
    }
    return /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.Route, _objectSpread({}, props));
  }
  if (redirectRoute) {
    return /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.Redirect, {
      to: {
        pathname: redirectRoute
      }
    });
  }
  return errorPage || /*#__PURE__*/jsxRuntime.jsx(ErrorPage, {
    status: 403
  });
};

module.exports = PrivateRoute;
//# sourceMappingURL=PrivateRoute.js.map
