'use strict';

var slicedToArray = require('../../slicedToArray-BcL7fKuL.js');
var react = require('react');
require('../../unsupportedIterableToArray-BoHMiKNA.js');

var useDebounce = function useDebounce(value) {
  var delay = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 350;
  var _useState = react.useState(value),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    debouncedValue = _useState2[0],
    setDebouncedValue = _useState2[1];
  react.useEffect(function () {
    var handler = setTimeout(function () {
      setDebouncedValue(value);
    }, delay);
    return function () {
      clearTimeout(handler);
    };
  }, [value]);
  return debouncedValue;
};

module.exports = useDebounce;
//# sourceMappingURL=useDebounce.js.map
