'use strict';

var defineProperty = require('../../defineProperty-lChFfVqi.js');
var objectWithoutProperties = require('../../objectWithoutProperties-wSsbHFcG.js');
var reactQuery = require('@tanstack/react-query');
var ramda = require('ramda');
require('../../typeof-D4ZZ_FlZ.js');

var _excluded = ["keysToInvalidate"],
  _excluded2 = ["onSuccess"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var useMutationWithInvalidation = function useMutationWithInvalidation(mutationFn, _ref) {
  var keysToInvalidate = _ref.keysToInvalidate,
    options = objectWithoutProperties._objectWithoutProperties(_ref, _excluded);
  var queryClient = reactQuery.useQueryClient();
  var _onSuccess = options.onSuccess,
    otherOptions = objectWithoutProperties._objectWithoutProperties(options, _excluded2);
  return reactQuery.useMutation(_objectSpread({
    mutationFn: mutationFn,
    onSuccess: function onSuccess(data, variables, context) {
      keysToInvalidate.forEach(function (key) {
        var result = ramda.type(key) === "Function" ? key(data, variables, context) : key;
        if (ramda.type(result) === "Object") {
          queryClient.invalidateQueries(result);
        } else if (ramda.type(result) === "String") {
          queryClient.invalidateQueries({
            queryKey: [result]
          });
        } else {
          queryClient.invalidateQueries({
            queryKey: result
          });
        }
      });
      _onSuccess === null || _onSuccess === void 0 || _onSuccess(data, variables, context);
    }
  }, otherOptions));
};

module.exports = useMutationWithInvalidation;
//# sourceMappingURL=useMutationWithInvalidation.js.map
