'use strict';

var axios = require('axios');
var initializers_constants = require('../initializers/constants.js');
var ramda = require('ramda');

var resetAuthTokens = function resetAuthTokens() {
  ramda.values(initializers_constants.HEADERS_KEYS).forEach(function (header) {
    delete axios.defaults.headers[header];
  });
};

exports.resetAuthTokens = resetAuthTokens;
//# sourceMappingURL=axios.js.map
