import { QueryClient, keepPreviousData, QueryCache } from '@tanstack/react-query';
import { DEFAULT_STALE_TIME } from '../../constants/index.js';
import '../../constants/regex.js';

var queryClient = new QueryClient({
  queryCache: new QueryCache(),
  defaultOptions: {
    queries: {
      refetchOnWindowFocus: false,
      staleTime: DEFAULT_STALE_TIME,
      placeholderData: keepPreviousData
    }
  }
});

export { queryClient as default };
//# sourceMappingURL=queryClient.js.map
