import { _ as _slicedToArray } from '../../slicedToArray-DmsZvA_9.js';
import { useState, useEffect } from 'react';
import '../../unsupportedIterableToArray-Dqz8Y8_I.js';

var useDebounce = function useDebounce(value) {
  var delay = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 350;
  var _useState = useState(value),
    _useState2 = _slicedToArray(_useState, 2),
    debouncedValue = _useState2[0],
    setDebouncedValue = _useState2[1];
  useEffect(function () {
    var handler = setTimeout(function () {
      setDebouncedValue(value);
    }, delay);
    return function () {
      clearTimeout(handler);
    };
  }, [value]);
  return debouncedValue;
};

export { useDebounce as default };
//# sourceMappingURL=useDebounce.js.map
