import { _ as _slicedToArray } from '../../slicedToArray-DmsZvA_9.js';
import { useState, useEffect } from 'react';
import '../../unsupportedIterableToArray-Dqz8Y8_I.js';

var useStateWithDependency = function useStateWithDependency(defaultValue) {
  var dependencies = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [defaultValue];
  var _useState = useState(defaultValue),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  useEffect(function () {
    setValue(defaultValue);
  }, dependencies);
  return [value, setValue];
};

export { useStateWithDependency as default };
//# sourceMappingURL=useStateWithDependency.js.map
