import { _ as _defineProperty } from '../../defineProperty-CrCYjjU3.js';
import { Helmet } from 'react-helmet';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '../../typeof-D-UKOauR.js';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var withTitle = function withTitle(Component) {
  var title = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : undefined;
  return function (props) {
    var pageTitle = title ? "".concat(title, " | ").concat(globalProps.appName) : globalProps.appName;
    return /*#__PURE__*/jsxs(Fragment, {
      children: [/*#__PURE__*/jsx(Helmet, {
        children: /*#__PURE__*/jsx("title", {
          children: pageTitle
        })
      }), /*#__PURE__*/jsx(Component, _objectSpread({}, props))]
    });
  };
};

export { withTitle as default };
//# sourceMappingURL=withTitle.js.map
